Package com.google.protobuf

# Interface DescriptorProtos.FileOptionsOrBuilder

All Superinterfaces:
  `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.FileOptions>`, `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.FileOptions`, `DescriptorProtos.FileOptions.Builder`

Enclosing class:
  `DescriptorProtos`

public static interface DescriptorProtos.FileOptionsOrBuilder extends GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.FileOptions>

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getCcEnableArenas()`
`optional bool cc_enable_arenas = 31 [default = true, json_name = "ccEnableArenas"];`
`boolean`
`getCcGenericServices()`
`optional bool cc_generic_services = 16 [default = false, json_name = "ccGenericServices"];`
`String`
`getCsharpNamespace()`
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`
`ByteString`
`getCsharpNamespaceBytes()`
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`
`boolean`
`getDeprecated()`
`optional bool deprecated = 23 [default = false, json_name = "deprecated"];`
`DescriptorProtos.FeatureSet`
`getFeatures()`
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`
`DescriptorProtos.FeatureSetOrBuilder`
`getFeaturesOrBuilder()`
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`
`String`
`getGoPackage()`
`optional string go_package = 11 [json_name = "goPackage"];`
`ByteString`
`getGoPackageBytes()`
`optional string go_package = 11 [json_name = "goPackage"];`
`boolean`
`getJavaGenerateEqualsAndHash()`
Deprecated.
google.protobuf.FileOptions.java_generate_equals_and_hash is deprecated.
`boolean`
`getJavaGenericServices()`
`optional bool java_generic_services = 17 [default = false, json_name = "javaGenericServices"];`
`boolean`
`getJavaMultipleFiles()`
`optional bool java_multiple_files = 10 [default = false, json_name = "javaMultipleFiles"];`
`String`
`getJavaOuterClassname()`
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`
`ByteString`
`getJavaOuterClassnameBytes()`
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`
`String`
`getJavaPackage()`
`optional string java_package = 1 [json_name = "javaPackage"];`
`ByteString`
`getJavaPackageBytes()`
`optional string java_package = 1 [json_name = "javaPackage"];`
`boolean`
`getJavaStringCheckUtf8()`
`optional bool java_string_check_utf8 = 27 [default = false, json_name = "javaStringCheckUtf8"];`
`String`
`getObjcClassPrefix()`
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`
`ByteString`
`getObjcClassPrefixBytes()`
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`
`DescriptorProtos.FileOptions.OptimizeMode`
`getOptimizeFor()`
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`
`String`
`getPhpClassPrefix()`
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`
`ByteString`
`getPhpClassPrefixBytes()`
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`
`String`
`getPhpMetadataNamespace()`
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`
`ByteString`
`getPhpMetadataNamespaceBytes()`
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`
`String`
`getPhpNamespace()`
`optional string php_namespace = 41 [json_name = "phpNamespace"];`
`ByteString`
`getPhpNamespaceBytes()`
`optional string php_namespace = 41 [json_name = "phpNamespace"];`
`boolean`
`getPyGenericServices()`
`optional bool py_generic_services = 18 [default = false, json_name = "pyGenericServices"];`
`String`
`getRubyPackage()`
`optional string ruby_package = 45 [json_name = "rubyPackage"];`
`ByteString`
`getRubyPackageBytes()`
`optional string ruby_package = 45 [json_name = "rubyPackage"];`
`String`
`getSwiftPrefix()`
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`
`ByteString`
`getSwiftPrefixBytes()`
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`
`DescriptorProtos.UninterpretedOption`
`getUninterpretedOption(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`int`
`getUninterpretedOptionCount()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<DescriptorProtos.UninterpretedOption>`
`getUninterpretedOptionList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOptionOrBuilder`
`getUninterpretedOptionOrBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>`
`getUninterpretedOptionOrBuilderList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`boolean`
`hasCcEnableArenas()`
`optional bool cc_enable_arenas = 31 [default = true, json_name = "ccEnableArenas"];`
`boolean`
`hasCcGenericServices()`
`optional bool cc_generic_services = 16 [default = false, json_name = "ccGenericServices"];`
`boolean`
`hasCsharpNamespace()`
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`
`boolean`
`hasDeprecated()`
`optional bool deprecated = 23 [default = false, json_name = "deprecated"];`
`boolean`
`hasFeatures()`
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`
`boolean`
`hasGoPackage()`
`optional string go_package = 11 [json_name = "goPackage"];`
`boolean`
`hasJavaGenerateEqualsAndHash()`
Deprecated.
google.protobuf.FileOptions.java_generate_equals_and_hash is deprecated.
`boolean`
`hasJavaGenericServices()`
`optional bool java_generic_services = 17 [default = false, json_name = "javaGenericServices"];`
`boolean`
`hasJavaMultipleFiles()`
`optional bool java_multiple_files = 10 [default = false, json_name = "javaMultipleFiles"];`
`boolean`
`hasJavaOuterClassname()`
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`
`boolean`
`hasJavaPackage()`
`optional string java_package = 1 [json_name = "javaPackage"];`
`boolean`
`hasJavaStringCheckUtf8()`
`optional bool java_string_check_utf8 = 27 [default = false, json_name = "javaStringCheckUtf8"];`
`boolean`
`hasObjcClassPrefix()`
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`
`boolean`
`hasOptimizeFor()`
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`
`boolean`
`hasPhpClassPrefix()`
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`
`boolean`
`hasPhpMetadataNamespace()`
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`
`boolean`
`hasPhpNamespace()`
`optional string php_namespace = 41 [json_name = "phpNamespace"];`
`boolean`
`hasPyGenericServices()`
`optional bool py_generic_services = 18 [default = false, json_name = "pyGenericServices"];`
`boolean`
`hasRubyPackage()`
`optional string ruby_package = 45 [json_name = "rubyPackage"];`
`boolean`
`hasSwiftPrefix()`
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getDefaultInstanceForType, getExtension, getExtension, getExtensionCount, hasExtension`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasJavaPackage

boolean hasJavaPackage()
`optional string java_package = 1 [json_name = "javaPackage"];`

Returns:
  Whether the javaPackage field is set.

### getJavaPackage

String getJavaPackage()
`optional string java_package = 1 [json_name = "javaPackage"];`

Returns:
  The javaPackage.

### getJavaPackageBytes

ByteString getJavaPackageBytes()
`optional string java_package = 1 [json_name = "javaPackage"];`

Returns:
  The bytes for javaPackage.

### hasJavaOuterClassname

boolean hasJavaOuterClassname()
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`

Returns:
  Whether the javaOuterClassname field is set.

### getJavaOuterClassname

String getJavaOuterClassname()
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`

Returns:
  The javaOuterClassname.

### getJavaOuterClassnameBytes

ByteString getJavaOuterClassnameBytes()
`optional string java_outer_classname = 8 [json_name = "javaOuterClassname"];`

Returns:
  The bytes for javaOuterClassname.

### hasJavaMultipleFiles

boolean hasJavaMultipleFiles()
`optional bool java_multiple_files = 10 [default = false, json_name = "javaMultipleFiles"];`

Returns:
  Whether the javaMultipleFiles field is set.

### getJavaMultipleFiles

boolean getJavaMultipleFiles()
`optional bool java_multiple_files = 10 [default = false, json_name = "javaMultipleFiles"];`

Returns:
  The javaMultipleFiles.

### hasJavaGenerateEqualsAndHash

@Deprecated boolean hasJavaGenerateEqualsAndHash()
Deprecated.
google.protobuf.FileOptions.java_generate_equals_and_hash is deprecated. See google/protobuf/descriptor.proto;l=0
`optional bool java_generate_equals_and_hash = 20 [json_name = "javaGenerateEqualsAndHash", deprecated = true];`

Returns:
  Whether the javaGenerateEqualsAndHash field is set.

### getJavaGenerateEqualsAndHash

@Deprecated boolean getJavaGenerateEqualsAndHash()
Deprecated.
google.protobuf.FileOptions.java_generate_equals_and_hash is deprecated. See google/protobuf/descriptor.proto;l=0
`optional bool java_generate_equals_and_hash = 20 [json_name = "javaGenerateEqualsAndHash", deprecated = true];`

Returns:
  The javaGenerateEqualsAndHash.

### hasJavaStringCheckUtf8

boolean hasJavaStringCheckUtf8()
`optional bool java_string_check_utf8 = 27 [default = false, json_name = "javaStringCheckUtf8"];`

Returns:
  Whether the javaStringCheckUtf8 field is set.

### getJavaStringCheckUtf8

boolean getJavaStringCheckUtf8()
`optional bool java_string_check_utf8 = 27 [default = false, json_name = "javaStringCheckUtf8"];`

Returns:
  The javaStringCheckUtf8.

### hasOptimizeFor

boolean hasOptimizeFor()
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`

Returns:
  Whether the optimizeFor field is set.

### getOptimizeFor

DescriptorProtos.FileOptions.OptimizeMode getOptimizeFor()
`optional .google.protobuf.FileOptions.OptimizeMode optimize_for = 9 [default = SPEED, json_name = "optimizeFor"];`

Returns:
  The optimizeFor.

### hasGoPackage

boolean hasGoPackage()
`optional string go_package = 11 [json_name = "goPackage"];`

Returns:
  Whether the goPackage field is set.

### getGoPackage

String getGoPackage()
`optional string go_package = 11 [json_name = "goPackage"];`

Returns:
  The goPackage.

### getGoPackageBytes

ByteString getGoPackageBytes()
`optional string go_package = 11 [json_name = "goPackage"];`

Returns:
  The bytes for goPackage.

### hasCcGenericServices

boolean hasCcGenericServices()
`optional bool cc_generic_services = 16 [default = false, json_name = "ccGenericServices"];`

Returns:
  Whether the ccGenericServices field is set.

### getCcGenericServices

boolean getCcGenericServices()
`optional bool cc_generic_services = 16 [default = false, json_name = "ccGenericServices"];`

Returns:
  The ccGenericServices.

### hasJavaGenericServices

boolean hasJavaGenericServices()
`optional bool java_generic_services = 17 [default = false, json_name = "javaGenericServices"];`

Returns:
  Whether the javaGenericServices field is set.

### getJavaGenericServices

boolean getJavaGenericServices()
`optional bool java_generic_services = 17 [default = false, json_name = "javaGenericServices"];`

Returns:
  The javaGenericServices.

### hasPyGenericServices

boolean hasPyGenericServices()
`optional bool py_generic_services = 18 [default = false, json_name = "pyGenericServices"];`

Returns:
  Whether the pyGenericServices field is set.

### getPyGenericServices

boolean getPyGenericServices()
`optional bool py_generic_services = 18 [default = false, json_name = "pyGenericServices"];`

Returns:
  The pyGenericServices.

### hasDeprecated

boolean hasDeprecated()
`optional bool deprecated = 23 [default = false, json_name = "deprecated"];`

Returns:
  Whether the deprecated field is set.

### getDeprecated

boolean getDeprecated()
`optional bool deprecated = 23 [default = false, json_name = "deprecated"];`

Returns:
  The deprecated.

### hasCcEnableArenas

boolean hasCcEnableArenas()
`optional bool cc_enable_arenas = 31 [default = true, json_name = "ccEnableArenas"];`

Returns:
  Whether the ccEnableArenas field is set.

### getCcEnableArenas

boolean getCcEnableArenas()
`optional bool cc_enable_arenas = 31 [default = true, json_name = "ccEnableArenas"];`

Returns:
  The ccEnableArenas.

### hasObjcClassPrefix

boolean hasObjcClassPrefix()
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`

Returns:
  Whether the objcClassPrefix field is set.

### getObjcClassPrefix

String getObjcClassPrefix()
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`

Returns:
  The objcClassPrefix.

### getObjcClassPrefixBytes

ByteString getObjcClassPrefixBytes()
`optional string objc_class_prefix = 36 [json_name = "objcClassPrefix"];`

Returns:
  The bytes for objcClassPrefix.

### hasCsharpNamespace

boolean hasCsharpNamespace()
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`

Returns:
  Whether the csharpNamespace field is set.

### getCsharpNamespace

String getCsharpNamespace()
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`

Returns:
  The csharpNamespace.

### getCsharpNamespaceBytes

ByteString getCsharpNamespaceBytes()
`optional string csharp_namespace = 37 [json_name = "csharpNamespace"];`

Returns:
  The bytes for csharpNamespace.

### hasSwiftPrefix

boolean hasSwiftPrefix()
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`

Returns:
  Whether the swiftPrefix field is set.

### getSwiftPrefix

String getSwiftPrefix()
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`

Returns:
  The swiftPrefix.

### getSwiftPrefixBytes

ByteString getSwiftPrefixBytes()
`optional string swift_prefix = 39 [json_name = "swiftPrefix"];`

Returns:
  The bytes for swiftPrefix.

### hasPhpClassPrefix

boolean hasPhpClassPrefix()
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`

Returns:
  Whether the phpClassPrefix field is set.

### getPhpClassPrefix

String getPhpClassPrefix()
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`

Returns:
  The phpClassPrefix.

### getPhpClassPrefixBytes

ByteString getPhpClassPrefixBytes()
`optional string php_class_prefix = 40 [json_name = "phpClassPrefix"];`

Returns:
  The bytes for phpClassPrefix.

### hasPhpNamespace

boolean hasPhpNamespace()
`optional string php_namespace = 41 [json_name = "phpNamespace"];`

Returns:
  Whether the phpNamespace field is set.

### getPhpNamespace

String getPhpNamespace()
`optional string php_namespace = 41 [json_name = "phpNamespace"];`

Returns:
  The phpNamespace.

### getPhpNamespaceBytes

ByteString getPhpNamespaceBytes()
`optional string php_namespace = 41 [json_name = "phpNamespace"];`

Returns:
  The bytes for phpNamespace.

### hasPhpMetadataNamespace

boolean hasPhpMetadataNamespace()
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`

Returns:
  Whether the phpMetadataNamespace field is set.

### getPhpMetadataNamespace

String getPhpMetadataNamespace()
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`

Returns:
  The phpMetadataNamespace.

### getPhpMetadataNamespaceBytes

ByteString getPhpMetadataNamespaceBytes()
`optional string php_metadata_namespace = 44 [json_name = "phpMetadataNamespace"];`

Returns:
  The bytes for phpMetadataNamespace.

### hasRubyPackage

boolean hasRubyPackage()
`optional string ruby_package = 45 [json_name = "rubyPackage"];`

Returns:
  Whether the rubyPackage field is set.

### getRubyPackage

String getRubyPackage()
`optional string ruby_package = 45 [json_name = "rubyPackage"];`

Returns:
  The rubyPackage.

### getRubyPackageBytes

ByteString getRubyPackageBytes()
`optional string ruby_package = 45 [json_name = "rubyPackage"];`

Returns:
  The bytes for rubyPackage.

### hasFeatures

boolean hasFeatures()
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`

Returns:
  Whether the features field is set.

### getFeatures

DescriptorProtos.FeatureSet getFeatures()
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`

Returns:
  The features.

### getFeaturesOrBuilder

DescriptorProtos.FeatureSetOrBuilder getFeaturesOrBuilder()
`optional .google.protobuf.FeatureSet features = 50 [json_name = "features"];`

### getUninterpretedOptionList

List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOption

DescriptorProtos.UninterpretedOption getUninterpretedOption(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionCount

int getUninterpretedOptionCount()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionOrBuilderList

List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionOrBuilder

DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`